<template>
  <form-page title="Tambah User" :schemas="schemas"></form-page>
</template>
<script setup>
import * as Yup from "yup";
import FormPage from "@/components/Page/FormPage.vue";

const schemas = [
  {
    label: "Nama User",
    name: "name",
    validation: Yup.string().required().label("Nama User"),
    cols: 6,
  },
  {
    label: "Email",
    name: "email",
    validation: Yup.string().required().label("Email User"),
    cols: 6,
  },
  {
    label: "username",
    name: "username",
    validation: Yup.string().required().label("Username"),
    cols: 6,
  },
  {
    label: "Password User",
    name: "password",
    validation: Yup.string().required().label("Password User"),
    cols: 6,
    type: "password"
  },
];
</script>
